/* 
 * Problem: NOI Winter Camp 2010 efield
 * Author: Guo Jiabao
 * Time: 2010.3.15 9:59
 * Label: Solved
 * Memo: Special Judge for Cena
*/
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <cstring>
#include <iostream>
#include <sstream>
#include <vector>
#include <list>
#include <deque>
#include <string>
#include <queue>

#define var(a,b) typeof(b) a(b)
#define foreach(a,b) for (var(a,b.begin());a!=b.end();++a)
using std::sort;

const int MAXN = 50002;

struct point
{
	double x,y;
};

point P[MAXN];
double Ans1,Ans2;
int N;

void init()
{
	scanf("%d",&N);
	for (int i=1;i<=N;i++)
	{
		double m,c;
		scanf("%lf%lf",&m,&c);
		P[i].x = m;
		P[i].y = c;
	}
	P[N+1] = P[1];
}


void solve()
{
	int a,b,c,i,d;
	scanf("%d %d",&a,&b);
	Ans1 = P[a].x * P[b].x * (P[a].y - P[b].y);
	scanf("%d",&c);
	Ans2 = 0;
	scanf("%d",&a);
	d=a;
	for (i=1;i<c;i++)
	{
		scanf("%d",&b);
		Ans2 += P[a].x * P[b].x * (P[a].y - P[b].y);
		//printf("%lf*%lf*(%lf-%lf)+\n",P[a].x ,P[b].x,P[a].y, P[b].y);
		a = b;
	}
	b=d;
	//printf("%lf*%lf*(%lf-%lf)+\n",P[a].x ,P[b].x,P[a].y, P[b].y);
	Ans2 += P[a].x * P[b].x * (P[a].y - P[b].y);
}

bool equal(double a,double b)
{
	a-=b;
	if (a<0)a=-a;
	return a<=1e-5;
}

int main(int argc,char **argv)
{
	double sco,b=0;
	sscanf(argv[1],"%lf",&sco);
	freopen("efield.in","r",stdin);
	freopen("report.log","w",stdout);
	init();
	freopen("efield.out","r",stdin);
	solve();
	double aa1=Ans1,aa2=Ans2;
	printf("Out %.6lf %.6lf\n",Ans1,Ans2);
	freopen(argv[2],"r",stdin);
	solve();
	printf("Ans %.6lf %.6lf\n",Ans1,Ans2);
	if (equal(aa1,Ans1))
		b+=0.5;
	if (equal(aa2,Ans2))
		b+=0.5;
	freopen("score.log","w",stdout);
	printf("%lf\n",b*sco);
	return 0;
}
